Book a parcel
Create a new booking for a parcel. Responds with a shipment ID that can be used to generate a label and track the parcel events.
Read Book a parcel guide
Request body for registering a new parcel shipment.
- Type: array object[] ·itemsrequired
List of parcel items being shipped.
Details about the physical item being shipped.
- Type: array object[] · 2…3partiesrequired
Consignee and consignor details. Must contain at least two Party objects.
Consignee (recipient) or Consignor (sender) details.
- Type: integershop
Id requiredThe identifier of the shop making the booking.
- Type: integertransport
Solution Id requiredThe chosen transport solution ID.
- Type: stringFormat: date nullabledesired
Delivery Date Requested delivery date in ISO 8601 format (YYYY-MM-DD). Pass null for standard delivery.
- Type: string nullablemessage
To Carrier Optional message to the carrier handling the shipment.
- Type: string nullablemessage
To Consignee Optional message to the recipient (consignee).
- Type: string nullableshipment
Id An optional external identifier for the shipment (e.g., customer order ID). Pass null to let Helthjem assign one.
- application/json
- application/json
- 403
Forbidden.
curl https://api.pre.helthjem.no/parcels/v1/bookings \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"shopId": 16,
"transportSolutionId": 2,
"shipmentId": null,
"desiredDeliveryDate": null,
"messageToCarrier": null,
"messageToConsignee": null,
"parties": [
{
"type": "consignee",
"name": "Test person",
"countryCode": "NO",
"postalName": "Ålesund",
"zipCode": "6032",
"address": "Fjelltunvegen 23A",
"coaddress": "",
"phone1": "12345678",
"phone2": null,
"email": "test@gmail.com",
"reference": "consignee_reference",
"contact": "contact2"
},
{
"type": "consignor",
"id": null,
"name": "Test shop",
"countryCode": "NO",
"postalName": "Vestby",
"zipCode": "1540",
"address": "Toveien 19",
"phone1": "12345678",
"phone2": null,
"email": "",
"reference": "consignor_reference",
"contact": "consignor_contact",
"coaddress": null
}
],
"items": [
{
"itemNumber": 1,
"trackingReference": "",
"weight": 1000,
"width": 12,
"height": 12,
"length": 12,
"contents": "test item"
}
]
}'
{
"orderId": 224204075,
"shipmentId": "(401)70724763442660381",
"freightProductId": 1,
"parties": [
{
"type": "consignee",
"id": null,
"name": "Test person",
"countryCode": "NO",
"postalName": "Ålesund",
"zipCode": "6032",
"address": "Fjelltunvegen 23A",
"detailedAddress": null,
"phone1": "12345678",
"phone2": null,
"email": "test@gmail.com",
"reference": "consignee_reference",
"contact": "contact2",
"coaddress": ""
},
{
"type": "consignor",
"id": null,
"name": "Test shop",
"countryCode": "NO",
"postalName": "Vestby",
"zipCode": "1540",
"address": "Toveien 19",
"detailedAddress": null,
"phone1": "12345678",
"phone2": null,
"email": "",
"reference": "consignor_reference",
"contact": "consignor_contact",
"coaddress": null
}
],
"items": [
{
"itemId": null,
"itemNumber": 1,
"trackingReference": "(00)370724763442660399",
"returnCode": null,
"linkedParcelType": null,
"linkedTrackingReference": null,
"weight": 1000,
"volume": null,
"length": 12,
"height": 12,
"width": 12,
"contentValue": null,
"externalSupplierId": null,
"contents": "test item",
"properties": {
"shortItemIdentifier": "...0399"
},
"articles": [],
"externalOrderId": null
}
],
"properties": {
"areaId": "158",
"freightProductName": "helthjem",
"mainCarNumber": "964",
"pickupZipString": "6018 ÅLESUND",
"productName": "helthjem standard",
"regionId": "90",
"routeAddress": "POSTVEGEN 13(POLARIS TRYKK, BREIVIKA ) 13",
"routeDescription": "ÅLESUND (INNE)",
"routeName": "50546",
"routeSeq": "2242",
"routeZipAndCity": null,
"routing": "65-0/964-53-x50546x2242",
"routingCode": "3",
"routingDescription": " ",
"routingDetailed": "65 / 964",
"shopName": "Testbutikken Helthjem",
"transportCompanyId": "57",
"transportNetId": "5"
},
"additionalServices": []
}